-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE PROCEDURE [C6MartPeriodico].[DM_POPOLAMENTO_AM_OperazioniUltimoTrimestre]
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
-- storicizzare le operazione dell'ultimo trimestre prima di troncare la tabella
 --troncare la tabella esistente 
truncate table [C6StampeCentralizzate].[C6STAGINGPERIODICO].AM_OperazioniUltimoTrimestre
-- step propedeutici al popolamento della tabella svuotata
select sca.rete,sca.codfis, sca.NumeroContratto, sca.Contratto, sca.ImportoOperazione, sca.Operazione, sca.DataOperazione, sca.FirmaDigitale
into #propedeutica
from 
(
select 
a.rete,
case 
when isnull(a.codman,'') = '' then a.codfis
when a.codman <> '' then 'FF@'+ a.codman
end as codfis,
a.codconf as NumeroContratto, 
a.DESPROD as Contratto, 
a.IMPORTO as ImportoOperazione, 
a.DESCAU as Operazione, 
substring(cast(a.DTOPE as varchar),7,2) + '/'+ substring(cast(a.DTope as varchar),5,2) + '/' + substring(cast(a.Dtope as varchar),1,4) as DataOperazione,
w.descrizione_report as FirmaDigitale
from c6stagingPeriodico.w6aput AS a
inner join [dbo].[W6APUT_AnaFirma] as w
on a.firma = w.firma
where a.dttrim = (select max(dttrim) from c6stagingPeriodico.w6aput)
--AND @datacongelamento
) sca
--- aggiunta del CF e rete per entrare nella SP successiva
insert into [C6StampeCentralizzate].[C6STAGINGPERIODICO].AM_OperazioniUltimoTrimestre
SELECT RETE, 
	codfis AS CodiceFiscale
	,DataOperazione
	,Contratto
	,NumeroContratto
	,Operazione
	,ImportoOperazione
	,FirmaDigitale
FROM #propedeutica 
order by rete,codicefiscale, CONVERT(DATETIME, DataOperazione, 103)
END